searchNodes=[{"doc":"Provides an interface to get input values for Advent of Code puzzles","ref":"AdventOfCodeHelper.html","title":"AdventOfCodeHelper","type":"module"},{"doc":"","ref":"AdventOfCodeHelper.html#calculate_year/0","title":"AdventOfCodeHelper.calculate_year/0","type":"function"},{"doc":"Return input values for most recent year Parameters day: Int that represents day of puzzle","ref":"AdventOfCodeHelper.html#get_input/1","title":"AdventOfCodeHelper.get_input/1","type":"function"},{"doc":"Returns input values Parameters year: Int that represents year of puzzle day: Int that represents day of puzzle","ref":"AdventOfCodeHelper.html#get_input/2","title":"AdventOfCodeHelper.get_input/2","type":"function"},{"doc":"Splits the string input into a list, using a given separator.","ref":"AdventOfCodeHelper.html#split_to_list/3","title":"AdventOfCodeHelper.split_to_list/3","type":"function"},{"doc":"Splits the string input into a stream, using a given separator.","ref":"AdventOfCodeHelper.html#split_to_stream/3","title":"AdventOfCodeHelper.split_to_stream/3","type":"function"},{"doc":"This Elixir package allows you to quickly grab inputs for Advent of ode puzzles, and not have to worry about manually pasting them in! After you've got a puzzle input for the first time, the result is stored on disk so every subsequent request bypasses the need to download it from the server again.","ref":"readme.html","title":"Advent of Code Helper","type":"extras"},{"doc":"Via Mix Tasks There are two mix tasks included in this library: advent.setup_day and advent.run_day . For creating a new directory and .ex file for a given Advent puzzle, use the setup command: mix advent.setup_day &lt;year&gt; &lt;day&gt; or mix advent.setup_day &lt;day&gt; where year is a four-digit integer (eg: 2022) and day is a number between 1 and 25. Year will be inferred as the current year if it's not passed in. A folder will be created under the lib directory of the mix project, and a skeleton module will be generated. To run the code you've added to the generated template file, use the run command: mix advent.run_day day=&lt;day&gt; year=&lt;year&gt; bench=&lt;boolean&gt; split=&lt;splitOption&gt; sep=&lt;sep&gt; trim=&lt;boolean&gt; Only day is a required argument. Year will be inferred as current year if it's not given, otherwise it should be a 4-digit number. If bench is true , the task will run the day's puzzles through benchee and return the benchmark results. By default, (if no split or sep options are passed in), the puzzle input will be read as a string, split on newlines, and the resulting list will be passed into the puzzle module to be run. You can change this behaviour by passing in either list , stream , or false for split. This will split the string into a List, a Stream, or leave the input as-is, respectively. The separator to use as the split boundary can be changed by passing in a sep argument; trimming extra newlines/whitespace can be enabled by setting trim to true . Directly calling AdventOfCodeHelper There are two main functions for fetching the puzzle input: AdventOfCodeHelper . get_input ( year , day ) # Specify year and day for puzzle AdventOfCodeHelper . get_input ( day ) # Automatically gets puzzle from most recent year Both of these functions will simply return a tuple {:ok, value} if they succeed, where value is the puzzle input in the form of a String , or {:fail, message} if there was something wrong. You can also use the provided helpers for splitting the string input into a List or Stream: split_to_list/2 and split_to_stream/2 . Configuration There are two configuration directives that are also needed to make this package work correctly. Simply add the following to your config/config.exs config :advent_of_code_helper , session : &quot;&lt;session string&gt;&quot; , cache_dir : &quot;.cache/&quot; # this is a sensible default, but feel free to put it wherever you have write access The session string will need to be taken from adventofcode.com , it will be under cookies as session . You can extract the value using the inspector/devTools in your browser of choice.","ref":"readme.html#usage","title":"Advent of Code Helper - Usage","type":"extras"},{"doc":"This package can be installed by adding advent_of_code_helper to your list of dependencies in mix.exs : def deps do [ { :advent_of_code_helper , &quot;~&gt; 0.3.1&quot; } ] end","ref":"readme.html#installation","title":"Advent of Code Helper - Installation","type":"extras"}]